Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 7759 - syslog fails to log ipchains rules that have log option set
Summary: syslog fails to log ipchains rules that have log option set
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: sysklogd
Version: 6.1
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Bill Nottingham
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-12-12 03:41 UTC by Matthew Galgoci
Modified: 2014-03-17 02:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 1999-12-15 22:09:36 UTC


Attachments (Terms of Use)

Description Matthew Galgoci 1999-12-12 03:41:17 UTC
This report was from a customer.

Basically, syslog fails to log packets that match logging rules under
certain circumstances. He has about 200 packet filtering rules, and has
to restart the logger in order for logging to work. I was not able to
duplicate the problem with a single rule.

He also pointed me to a patch against sysklogd that reportedly fixes the
problem:
ftp://ftp.ocs.com.au/pub/ksymoops/patch-sysklogd-1-3-32-ksymoops-1.gz

Comment 1 Bill Nottingham 1999-12-13 16:07:59 UTC
Um, the 'patch-sysklogd-1-3-31-ksymoops-1.gz' that's in
that directory shouldn't have *anything* to do with
whether or not ipchains-type packets are logged.

Comment 2 Bill Nottingham 1999-12-15 22:09:59 UTC
Actually, does he have klogd running?

One of the things that patch fixes is a possible
segfault in klogd - if klogd died, ipchains-type
packets wouldn't be logged.

In any case, the segfault fixed by that patch
is fixed in the latest sysklogd in Raw Hide.


Note You need to log in before you can comment on or make changes to this bug.